#include "dinkyecs.hpp"

namespace DinkyECS {
  void configure(World& world, const ComponentMap& component_map, Entity ent, json& data) {
    for (auto &i : data) {
      assert(i.contains("_type") && i["_type"].is_string());
      assert(component_map.contains(i["_type"]));
      component_map.at(i["_type"])(world, ent, i);
    }
  }
}
